<?xml version="1.0" encoding="utf-8" standalone="no"?>
<?taxonomy-version 1.0.0.0?>
<?taxonomy-date 2022-04-20?>
<!--This is a generated XML file-->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xml="http://www.w3.org/XML/1998/namespace">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentProvisions" xlink:label="loc_ifrs-full_NoncurrentProvisions" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_NoncurrentProvisions" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Non-current provisions [start]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_NoncurrentProvisions" xlink:to="label_ifrs-full_NoncurrentProvisions" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_NoncurrentLeaseLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Non-current lease liabilities [start]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_NoncurrentLeaseLiabilities" xlink:to="label_ifrs-full_NoncurrentLeaseLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NetDeferredTaxLiabilities" xlink:label="loc_ifrs-full_NetDeferredTaxLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_NetDeferredTaxLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Net deferred tax liabilities [start]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_NetDeferredTaxLiabilities" xlink:to="label_ifrs-full_NetDeferredTaxLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_ifrs-full_NoncurrentLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_NoncurrentLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel">Non-current liabilities [end]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="label_ifrs-full_NoncurrentLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentProvisionsForEmployeeBenefits" xlink:label="loc_ifrs-full_CurrentProvisionsForEmployeeBenefits" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CurrentProvisionsForEmployeeBenefits" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Current provisions for employee benefits [start]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CurrentProvisionsForEmployeeBenefits" xlink:to="label_ifrs-full_CurrentProvisionsForEmployeeBenefits" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CurrentLeaseLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Current lease liabilities [start]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CurrentLeaseLiabilities" xlink:to="label_ifrs-full_CurrentLeaseLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_TradeAndOtherCurrentPayables" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Trade and other current payables [start]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_TradeAndOtherCurrentPayables" xlink:to="label_ifrs-full_TradeAndOtherCurrentPayables" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AccrualsAndDeferredIncome" xlink:label="loc_ifrs-full_AccrualsAndDeferredIncome" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_AccrualsAndDeferredIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Accruals and deferred income [start]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AccrualsAndDeferredIncome" xlink:to="label_ifrs-full_AccrualsAndDeferredIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentTaxLiabilities" xlink:label="loc_ifrs-full_CurrentTaxLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CurrentTaxLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Current tax liabilities [start]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CurrentTaxLiabilities" xlink:to="label_ifrs-full_CurrentTaxLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_ifrs-full_CurrentLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CurrentLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel">Current liabilities [end]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="label_ifrs-full_CurrentLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxExpenseContinuingOperations" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Tax expense (income) [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:label="loc_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Adjustments for gains (losses) on fair value adjustment, investment property [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:to="label_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" xlink:label="loc_ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Adjustments for gain (loss) on disposals, property, plant and equipment [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" xlink:to="label_ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForInterestIncome" xlink:label="loc_ifrs-full_AdjustmentsForInterestIncome" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_AdjustmentsForInterestIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Adjustments for interest income [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsForInterestIncome" xlink:to="label_ifrs-full_AdjustmentsForInterestIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Income taxes paid, classified as operating activities [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:to="label_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) operating activities [total]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Purchase of property, plant and equipment, classified as investing activities [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="label_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Purchase of intangible assets, classified as investing activities [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="label_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfInvestmentProperty" xlink:label="loc_ifrs-full_PurchaseOfInvestmentProperty" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PurchaseOfInvestmentProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Purchase of investment property [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfInvestmentProperty" xlink:to="label_ifrs-full_PurchaseOfInvestmentProperty" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfInterestsInAssociates" xlink:label="loc_ifrs-full_PurchaseOfInterestsInAssociates" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PurchaseOfInterestsInAssociates" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Purchase of interests in associates [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfInterestsInAssociates" xlink:to="label_ifrs-full_PurchaseOfInterestsInAssociates" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Cash flows used in obtaining control of subsidiaries or other businesses, classified as investing activities [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:to="label_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) investing activities [total]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Repayments of borrowings, classified as financing activities [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Dividends paid, classified as financing activities [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Interest paid, classified as financing activities [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_InterestPaidClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Payments of lease liabilities, classified as financing activities [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="label_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Cash flows from (used in) financing activities [total]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfTreasuryShares" xlink:label="loc_ifrs-full_PurchaseOfTreasuryShares" />
    <link:label xlink:type="resource" xlink:label="label_ifrs-full_PurchaseOfTreasuryShares" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Purchase of treasury shares [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfTreasuryShares" xlink:to="label_ifrs-full_PurchaseOfTreasuryShares" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_LoansAndBorrowingsFromBankAndOthers" xlink:label="loc_One_LoansAndBorrowingsFromBankAndOthers" />
    <link:label xlink:type="resource" xlink:label="label_One_LoansAndBorrowingsFromBankAndOthers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Loans and borrowings from bank and others</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_LoansAndBorrowingsFromBankAndOthers" xlink:to="label_One_LoansAndBorrowingsFromBankAndOthers" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_LoansAndBorrowingsFromMinorityShareholders" xlink:label="loc_One_LoansAndBorrowingsFromMinorityShareholders" />
    <link:label xlink:type="resource" xlink:label="label_One_LoansAndBorrowingsFromMinorityShareholders" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Loans and borrowings from minority shareholders</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_LoansAndBorrowingsFromMinorityShareholders" xlink:to="label_One_LoansAndBorrowingsFromMinorityShareholders" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_ChangesInNetDeferredTaxLiabilities" xlink:label="loc_One_ChangesInNetDeferredTaxLiabilities" />
    <link:label xlink:type="resource" xlink:label="label_One_ChangesInNetDeferredTaxLiabilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Changes in net deferred tax liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_ChangesInNetDeferredTaxLiabilities" xlink:to="label_One_ChangesInNetDeferredTaxLiabilities" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_CurrentLoansAndBorrowingsFromBankAndOthers" xlink:label="loc_One_CurrentLoansAndBorrowingsFromBankAndOthers" />
    <link:label xlink:type="resource" xlink:label="label_One_CurrentLoansAndBorrowingsFromBankAndOthers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Current loans and borrowings from bank and others</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_CurrentLoansAndBorrowingsFromBankAndOthers" xlink:to="label_One_CurrentLoansAndBorrowingsFromBankAndOthers" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_CurrentLoansAndBorrowingsFromMinorityShareholders" xlink:label="loc_One_CurrentLoansAndBorrowingsFromMinorityShareholders" />
    <link:label xlink:type="resource" xlink:label="label_One_CurrentLoansAndBorrowingsFromMinorityShareholders" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Current loans and borrowings from minority shareholders</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_CurrentLoansAndBorrowingsFromMinorityShareholders" xlink:to="label_One_CurrentLoansAndBorrowingsFromMinorityShareholders" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_AdvancePaymentsFromCustomers" xlink:label="loc_One_AdvancePaymentsFromCustomers" />
    <link:label xlink:type="resource" xlink:label="label_One_AdvancePaymentsFromCustomers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Advance payments from customers</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_AdvancePaymentsFromCustomers" xlink:to="label_One_AdvancePaymentsFromCustomers" />
    <link:label xlink:type="resource" xlink:label="label_One_AdvancePaymentsFromCustomers2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Advance payments from customers [start]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_AdvancePaymentsFromCustomers" xlink:to="label_One_AdvancePaymentsFromCustomers2" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_ChangesInAdvancePaymentsFromCustomers" xlink:label="loc_One_ChangesInAdvancePaymentsFromCustomers" />
    <link:label xlink:type="resource" xlink:label="label_One_ChangesInAdvancePaymentsFromCustomers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Changes in advance payments from customers</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_ChangesInAdvancePaymentsFromCustomers" xlink:to="label_One_ChangesInAdvancePaymentsFromCustomers" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_RevenueFromSalesOfResidentialProperty" xlink:label="loc_One_RevenueFromSalesOfResidentialProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_RevenueFromSalesOfResidentialProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Revenue from sales of residential property</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_RevenueFromSalesOfResidentialProperty" xlink:to="label_One_RevenueFromSalesOfResidentialProperty" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_CostOfSalesOfResidentialProperty" xlink:label="loc_One_CostOfSalesOfResidentialProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_CostOfSalesOfResidentialProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Cost of sales of residential property</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_CostOfSalesOfResidentialProperty" xlink:to="label_One_CostOfSalesOfResidentialProperty" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_NetIncomeFromResidentialProperty" xlink:label="loc_One_NetIncomeFromResidentialProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_NetIncomeFromResidentialProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Net income from residential property</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_NetIncomeFromResidentialProperty" xlink:to="label_One_NetIncomeFromResidentialProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_NetIncomeFromResidentialProperty2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Net income from residential property [total]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_NetIncomeFromResidentialProperty" xlink:to="label_One_NetIncomeFromResidentialProperty2" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_GainsFromInvestmentPropertyUnderDevelopment" xlink:label="loc_One_GainsFromInvestmentPropertyUnderDevelopment" />
    <link:label xlink:type="resource" xlink:label="label_One_GainsFromInvestmentPropertyUnderDevelopment" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Gains from investment property under development </link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_GainsFromInvestmentPropertyUnderDevelopment" xlink:to="label_One_GainsFromInvestmentPropertyUnderDevelopment" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_GainsFromCompletedInvestmentsProperty" xlink:label="loc_One_GainsFromCompletedInvestmentsProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_GainsFromCompletedInvestmentsProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Gains from completed investments property</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_GainsFromCompletedInvestmentsProperty" xlink:to="label_One_GainsFromCompletedInvestmentsProperty" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_GainsFromInvestmentPropertyForFurtherDevelopmentLandbank" xlink:label="loc_One_GainsFromInvestmentPropertyForFurtherDevelopmentLandbank" />
    <link:label xlink:type="resource" xlink:label="label_One_GainsFromInvestmentPropertyForFurtherDevelopmentLandbank" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Gains from investment property for further development (landbank)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_GainsFromInvestmentPropertyForFurtherDevelopmentLandbank" xlink:to="label_One_GainsFromInvestmentPropertyForFurtherDevelopmentLandbank" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_GainFromInvestmentProperty" xlink:label="loc_One_GainFromInvestmentProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_GainFromInvestmentProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Gain from investment property</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_GainFromInvestmentProperty" xlink:to="label_One_GainFromInvestmentProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_GainFromInvestmentProperty2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Gain from investment property [total]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_GainFromInvestmentProperty" xlink:to="label_One_GainFromInvestmentProperty2" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_RevenuesFromServicesToTenants" xlink:label="loc_One_RevenuesFromServicesToTenants" />
    <link:label xlink:type="resource" xlink:label="label_One_RevenuesFromServicesToTenants" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Revenues from services to tenants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_RevenuesFromServicesToTenants" xlink:to="label_One_RevenuesFromServicesToTenants" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_ExpensesFromServicesToTenants" xlink:label="loc_One_ExpensesFromServicesToTenants" />
    <link:label xlink:type="resource" xlink:label="label_One_ExpensesFromServicesToTenants" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Expenses from services to tenants</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_ExpensesFromServicesToTenants" xlink:to="label_One_ExpensesFromServicesToTenants" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_OtherPropertyOperatingExpenses" xlink:label="loc_One_OtherPropertyOperatingExpenses" />
    <link:label xlink:type="resource" xlink:label="label_One_OtherPropertyOperatingExpenses" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Other property operating expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_OtherPropertyOperatingExpenses" xlink:to="label_One_OtherPropertyOperatingExpenses" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_NetRentalIncome" xlink:label="loc_One_NetRentalIncome" />
    <link:label xlink:type="resource" xlink:label="label_One_NetRentalIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Net rental income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_NetRentalIncome" xlink:to="label_One_NetRentalIncome" />
    <link:label xlink:type="resource" xlink:label="label_One_NetRentalIncome2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Net rental income [total]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_NetRentalIncome" xlink:to="label_One_NetRentalIncome2" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_OtherOperatingExpenses" xlink:label="loc_One_OtherOperatingExpenses" />
    <link:label xlink:type="resource" xlink:label="label_One_OtherOperatingExpenses" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Other operating expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_OtherOperatingExpenses" xlink:to="label_One_OtherOperatingExpenses" />
    <link:label xlink:type="resource" xlink:label="label_One_OtherOperatingExpenses2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Other operating expenses [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_OtherOperatingExpenses" xlink:to="label_One_OtherOperatingExpenses2" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_OtherOperatingIncome" xlink:label="loc_One_OtherOperatingIncome" />
    <link:label xlink:type="resource" xlink:label="label_One_OtherOperatingIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Other operating income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_OtherOperatingIncome" xlink:to="label_One_OtherOperatingIncome" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_NetFinancialResult" xlink:label="loc_One_NetFinancialResult" />
    <link:label xlink:type="resource" xlink:label="label_One_NetFinancialResult" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Net financial result</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_NetFinancialResult" xlink:to="label_One_NetFinancialResult" />
    <link:label xlink:type="resource" xlink:label="label_One_NetFinancialResult2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel">Net financial result [total]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_NetFinancialResult" xlink:to="label_One_NetFinancialResult2" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_OtherFinancialIncome" xlink:label="loc_One_OtherFinancialIncome" />
    <link:label xlink:type="resource" xlink:label="label_One_OtherFinancialIncome" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Other financial income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_OtherFinancialIncome" xlink:to="label_One_OtherFinancialIncome" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_AllowancesForCurrentAssetsReceivables" xlink:label="loc_One_AllowancesForCurrentAssetsReceivables" />
    <link:label xlink:type="resource" xlink:label="label_One_AllowancesForCurrentAssetsReceivables" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Allowances for current assets, receivables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_AllowancesForCurrentAssetsReceivables" xlink:to="label_One_AllowancesForCurrentAssetsReceivables" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_ProfitOnDisposalOfInvestmentProperty" xlink:label="loc_One_ProfitOnDisposalOfInvestmentProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_ProfitOnDisposalOfInvestmentProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Profit on disposal of investment property</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_ProfitOnDisposalOfInvestmentProperty" xlink:to="label_One_ProfitOnDisposalOfInvestmentProperty" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_IncreaseDecreaseInAdvancePaymentsFromCustomers" xlink:label="loc_One_IncreaseDecreaseInAdvancePaymentsFromCustomers" />
    <link:label xlink:type="resource" xlink:label="label_One_IncreaseDecreaseInAdvancePaymentsFromCustomers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Increase/(Decrease) in advance payments from customers </link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_IncreaseDecreaseInAdvancePaymentsFromCustomers" xlink:to="label_One_IncreaseDecreaseInAdvancePaymentsFromCustomers" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_ExpenditureOnInvestmentPropertyUnderDevelopment" xlink:label="loc_One_ExpenditureOnInvestmentPropertyUnderDevelopment" />
    <link:label xlink:type="resource" xlink:label="label_One_ExpenditureOnInvestmentPropertyUnderDevelopment" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Expenditure on investment property under development</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_ExpenditureOnInvestmentPropertyUnderDevelopment" xlink:to="label_One_ExpenditureOnInvestmentPropertyUnderDevelopment" />
    <link:label xlink:type="resource" xlink:label="label_One_ExpenditureOnInvestmentPropertyUnderDevelopment2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Expenditure on investment property under development [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_ExpenditureOnInvestmentPropertyUnderDevelopment" xlink:to="label_One_ExpenditureOnInvestmentPropertyUnderDevelopment2" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_ExpenditureOnCompletedInvestmentProperty" xlink:label="loc_One_ExpenditureOnCompletedInvestmentProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_ExpenditureOnCompletedInvestmentProperty" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Expenditure on completed investment property </link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_ExpenditureOnCompletedInvestmentProperty" xlink:to="label_One_ExpenditureOnCompletedInvestmentProperty" />
    <link:label xlink:type="resource" xlink:label="label_One_ExpenditureOnCompletedInvestmentProperty2" xml:lang="en" xlink:role="http://www.xbrl.org/2009/role/negatedLabel">Expenditure on completed investment property  [negated]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_ExpenditureOnCompletedInvestmentProperty" xlink:to="label_One_ExpenditureOnCompletedInvestmentProperty2" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_AmountsPaidForTransactionsWithNonControlingInterests" xlink:label="loc_One_AmountsPaidForTransactionsWithNonControlingInterests" />
    <link:label xlink:type="resource" xlink:label="label_One_AmountsPaidForTransactionsWithNonControlingInterests" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Amounts paid for transactions with non controling interests</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_AmountsPaidForTransactionsWithNonControlingInterests" xlink:to="label_One_AmountsPaidForTransactionsWithNonControlingInterests" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_IssueOfOrdinaryShares" xlink:label="loc_One_IssueOfOrdinaryShares" />
    <link:label xlink:type="resource" xlink:label="label_One_IssueOfOrdinaryShares" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Issue of ordinary shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_IssueOfOrdinaryShares" xlink:to="label_One_IssueOfOrdinaryShares" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_IssueOfOrdinarySharesPremiumSharesConversion" xlink:label="loc_One_IssueOfOrdinarySharesPremiumSharesConversion" />
    <link:label xlink:type="resource" xlink:label="label_One_IssueOfOrdinarySharesPremiumSharesConversion" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Issue of ordinary shares, premium shares conversion</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_IssueOfOrdinarySharesPremiumSharesConversion" xlink:to="label_One_IssueOfOrdinarySharesPremiumSharesConversion" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_IssueOfOrdinarySharesOtherReservesConversion" xlink:label="loc_One_IssueOfOrdinarySharesOtherReservesConversion" />
    <link:label xlink:type="resource" xlink:label="label_One_IssueOfOrdinarySharesOtherReservesConversion" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Issue of ordinary shares - other reserves conversion </link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_IssueOfOrdinarySharesOtherReservesConversion" xlink:to="label_One_IssueOfOrdinarySharesOtherReservesConversion" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_IPOCosts" xlink:label="loc_One_IPOCosts" />
    <link:label xlink:type="resource" xlink:label="label_One_IPOCosts" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">IPO costs</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_IPOCosts" xlink:to="label_One_IPOCosts" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_TransferOfLegalReserveInRetainedEarnings" xlink:label="loc_One_TransferOfLegalReserveInRetainedEarnings" />
    <link:label xlink:type="resource" xlink:label="label_One_TransferOfLegalReserveInRetainedEarnings" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Transfer of legal reserve in retained earnings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_TransferOfLegalReserveInRetainedEarnings" xlink:to="label_One_TransferOfLegalReserveInRetainedEarnings" />
    <link:loc xlink:type="locator" xlink:href="254900MLAOUEFANMAD86-2021-12-31.xsd#One_TransactionsWithNonControllingInterests" xlink:label="loc_One_TransactionsWithNonControllingInterests" />
    <link:label xlink:type="resource" xlink:label="label_One_TransactionsWithNonControllingInterests" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label">Transactions with non controlling interests</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_One_TransactionsWithNonControllingInterests" xlink:to="label_One_TransactionsWithNonControllingInterests" />
  </link:labelLink>
</link:linkbase>